@import '../../styles/theme';

$geramiRangeLineHeight: $border * 7;
$geramiRangeSelectedLineDiff: $border * 0;
$geramiRangeButtonDiameter: $space * 1.25;

.gerami-range {
  position: relative;
  height: 0;
  text-align: left;
}

.gerami-range-background-line {
  display: inline-block;
  position: absolute;
  float: left;
  width: 100%;
  height: $geramiRangeLineHeight;
  border-radius: $radius;
  background-color: darken($bg, 14%);
  cursor: pointer;
}

.gerami-range-selected-line {
  display: inline-block;
  position: absolute;
  float: left;
  margin-top: -$geramiRangeSelectedLineDiff;
  height: $geramiRangeLineHeight + 2 * $geramiRangeSelectedLineDiff;
  border-radius: $radius;
  background-color: $accent;
  transition: all 150ms;
  cursor: pointer;
}

.gerami-range-btn-vault {
  display: inline-block;
  position: absolute;
  float: left;
  transition: all 150ms;
}

.gerami-range-btn {
  display: inline-block;
  position: absolute;
  float: left;
  margin-top: -$geramiRangeButtonDiameter / 2 + $geramiRangeLineHeight / 2;
  margin-left: -$geramiRangeButtonDiameter / 2 + $geramiRangeLineHeight / 2;
  padding: 0;
  width: $geramiRangeButtonDiameter;
  height: $geramiRangeButtonDiameter;
  border-radius: 50%;
  background-color: $primary;
  box-shadow: $shade-M;
  cursor: pointer;
  transition: all 150ms;
}
.gerami-range-btn:active {
  background-color: darken($primary, 3%);
  box-shadow: $shade-L;
  transform: $poke;
  filter: $shy;
  cursor: pointer;
}

.gerami-range-full-filled-ghost {
  z-index: 99;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  cursor: pointer;
}
